Update a prompt

PATCH
/prompts/{promptId}

Update a prompt's properties. Only provided fields will be updated. Toggling enabled schedules or unschedules the recurring run job.

Authorization

BearerAuth
AuthorizationBearer <token>

An instance admin key from ADMIN_API_KEYS, or an organization key (elmo_…) issued from the dashboard.

In: header

Path Parameters

promptId*string

The ID of the prompt to update

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Properties1 <= properties
value?string

The prompt text

Length1 <= length
enabled?boolean

Whether the prompt is enabled

tags?array<string>

User-defined tags for categorizing this prompt

premiumModels?array<string>

Replaces the prompt's grounded models. Checked against the organization's premium pool.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/prompts/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "brandId": "string",  "value": "string",  "enabled": true,  "tags": [    "string"  ],  "systemTags": [    "string"  ],  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "premiumModels": [    "string"  ]}